> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv2account 



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/account/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v2/account/{name}/{tag}:
    get:
      tags:
        - valorant
      operationId: get_account_v2
      parameters:
        - name: name
          in: path
          description: Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Riot ID tag
          required: true
          schema:
            type: string
        - name: force
          in: query
          description: Bypass cache and refresh (optional)
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Account data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountV2Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    AccountV2Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/AccountV2Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    AccountV2Data:
      type: object
      required:
        - puuid
        - region
        - account_level
        - name
        - tag
        - card
        - title
        - platforms
        - updated_at
      properties:
        account_level:
          type: integer
          format: int32
        card:
          type: string
        name:
          type: string
        platforms:
          type: array
          items:
            type: string
        puuid:
          type: string
        region:
          type: string
        tag:
          type: string
        title:
          type: string
        updated_at:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0

````